<?php

namespace Drupal\abstract_email_validation\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Provides an email validation constraint using Abstract API.
 *
 * @Constraint(
 *   id = "AbstractEmailValidation",
 *   label = @Translation("Abstract Email Validation", context = "Validation"),
 * )
 */
class AbstractEmailValidationConstraint extends Constraint {

  /**
   * The error message.
   *
   * @var string
   */
  public $message = '%message';

}
